QwtCompassRose Class Referenceabstract

Abstract base class for a compass rose. More...

`#include <qwt_compass_rose.h>`

Inheritance diagram for QwtCompassRose:

## Public Member Functions

| QwtCompassRose ()
| Constructor.
virtual | ~QwtCompassRose ()
| Destructor.
virtual void | setPalette (const QPalette &)
| Assign a palette.
const QPalette & | palette () const
virtual void | draw (QPainter *painter, const QPointF &center, double radius, double north, QPalette::ColorGroup colorGroup=QPalette::Active) const =0

## Detailed Description

Abstract base class for a compass rose.

Definition at line 21 of file qwt_compass_rose.h.

## Member Function Documentation

## draw()

virtual void QwtCompassRose::draw | ( | QPainter * | painter,
|  | const QPointF & | center,
|  | double | radius,
|  | double | north,
|  | QPalette::ColorGroup | colorGroup = `QPalette::Active`
| ) |  | const

pure virtual

Draw the rose

Parameters

  painter | Painter
  center | Center point
  radius | Radius of the rose
  north | Position
  colorGroup | Color group

Implemented in QwtSimpleCompassRose.

## palette()

const QPalette & QwtCompassRose::palette | ( |  | ) | const

Returns
  Current palette

Definition at line 50 of file qwt_compass_rose.cpp.